Package fr.gouv.vitam.worker.core.plugin.preservation.model

# Class ContextPreservationReport

java.lang.Object
fr.gouv.vitam.worker.core.plugin.preservation.model.ContextPreservationReport

public class ContextPreservationReport extends Object
ContextPreservationReport

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContextPreservationReport()`
  `ContextPreservationReport(com.fasterxml.jackson.databind.JsonNode dslQuery, PreservationScenarioModel preservationScenarioModel, List<GriffinModel> griffinModel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.fasterxml.jackson.databind.JsonNode`
  `getDslQuery()`
  `List<GriffinModel>`
  `getGriffinModel()`
  `PreservationScenarioModel`
  `getPreservationScenarioModel()`
  `void`
  `setDslQuery(com.fasterxml.jackson.databind.JsonNode dslQuery)`
  `void`
  `setGriffinModel(List<GriffinModel> griffinModel)`
  `void`
  `setPreservationScenarioModel(PreservationScenarioModel preservationScenarioModel)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContextPreservationReport

    public ContextPreservationReport()

  - ### ContextPreservationReport

    public ContextPreservationReport(com.fasterxml.jackson.databind.JsonNode dslQuery, PreservationScenarioModel preservationScenarioModel, List<GriffinModel> griffinModel)

- ## Method Details

  - ### getDslQuery

    public com.fasterxml.jackson.databind.JsonNode getDslQuery()

  - ### setDslQuery

    public void setDslQuery(com.fasterxml.jackson.databind.JsonNode dslQuery)

  - ### getPreservationScenarioModel

    public PreservationScenarioModel getPreservationScenarioModel()

  - ### setPreservationScenarioModel

    public void setPreservationScenarioModel(PreservationScenarioModel preservationScenarioModel)

  - ### getGriffinModel

    public List<GriffinModel> getGriffinModel()

  - ### setGriffinModel

    public void setGriffinModel(List<GriffinModel> griffinModel)